Package org.gradle.tooling.model.gradle

## Interface GradlePublication

- All Superinterfaces:
    `ProjectModel`

      public interface GradlePublication
      extends ProjectModel

  Represents some publication produced by a Gradle project, typically to a Maven or Ivy repository.
  Since:
    1.12

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GradleModuleVersion` | `getId()` | Returns the unique identifier of the publication.
    `ProjectIdentifier` | `getProjectIdentifier()` | Returns the identifier for the Gradle project that this publication originates from.

- - ### Method Detail

    - #### getProjectIdentifier

          ProjectIdentifier getProjectIdentifier()

      Returns the identifier for the Gradle project that this publication originates from.
      Specified by:
        `getProjectIdentifier` in interface `ProjectModel`
      Since:
        3.3

    - #### getId

          GradleModuleVersion getId()

      Returns the unique identifier of the publication.
      Returns:
        the unique identifier of the publication